Skip to main content
GET
/
api
/
v1
/
github
/
repos
/
{id}
Get repository configuration
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/github/repos/{id} \
  --header 'Authorization: Bearer <token>'
{
  "auto_review_enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "exclude_patterns": [
    "*.md",
    "vendor/**"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "installation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repo_full_name": "octocat/hello-world",
  "review_on_draft": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "custom_instructions": "<string>",
  "draft_policy": "skip",
  "effective_config": {
    "author_exclude": {
      "source": "repo",
      "value": [
        "<string>"
      ]
    },
    "author_include": {
      "source": "repo",
      "value": [
        "<string>"
      ]
    },
    "auto_review_enabled": {
      "source": "repo",
      "value": "<string>"
    },
    "branch_exclude": {
      "source": "repo",
      "value": [
        "<string>"
      ]
    },
    "branch_include": {
      "source": "repo",
      "value": [
        "<string>"
      ]
    },
    "custom_instructions": {
      "source": "repo",
      "value": "<string>"
    },
    "focus": {
      "source": "repo",
      "value": "<string>"
    },
    "keyword_exclude": {
      "source": "repo",
      "value": [
        "<string>"
      ]
    },
    "keyword_include": {
      "source": "repo",
      "value": [
        "<string>"
      ]
    },
    "label_exclude": {
      "source": "repo",
      "value": [
        "<string>"
      ]
    },
    "label_include": {
      "source": "repo",
      "value": [
        "<string>"
      ]
    },
    "review_output_mode": {
      "source": "repo",
      "value": "<string>"
    },
    "severity_threshold": {
      "source": "repo",
      "value": "<string>"
    },
    "suggested_changes_enabled": {
      "source": "repo",
      "value": "<string>"
    },
    "tone": {
      "source": "repo",
      "value": "<string>"
    },
    "verbosity": {
      "source": "repo",
      "value": "<string>"
    }
  },
  "focus": "security",
  "gating": "none",
  "high_level_summary": true,
  "max_inline_comments": 123,
  "output_format": "compact",
  "path_instructions": [
    {
      "instructions": "<string>",
      "path": "<string>"
    }
  ],
  "review_output_mode": "summary_only",
  "severity_threshold": "critical",
  "streaming_enabled": true,
  "suggested_changes_enabled": true,
  "tone": "chill",
  "verbosity": "brief",
  "visibility": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Repository ID (UUID)

Response

Repository configuration

auto_review_enabled
boolean
required

Whether automatic PR reviews are enabled

created_at
string<date-time>
required

When the repository was added

exclude_patterns
string[]
required

File patterns to exclude from reviews

Example:
["*.md", "vendor/**"]
id
string<uuid>
required

Repository configuration ID

installation_id
string<uuid>
required

Parent installation ID

repo_full_name
string
required

Full repository name (owner/repo)

Example:

"octocat/hello-world"

review_on_draft
boolean
required

Whether to review draft PRs

updated_at
string<date-time>
required

When the repository config was last updated

custom_instructions
string
draft_policy
enum<string>
Available options:
skip,
summary_only,
review
effective_config
object
focus
enum<string>
Available options:
security,
performance,
style,
all
gating
enum<string>
Available options:
none,
block_on_critical,
block_on_high
high_level_summary
boolean
max_inline_comments
integer
output_format
enum<string>
Available options:
compact,
table,
checklist
path_instructions
object[]
review_output_mode
enum<string>
Available options:
summary_only,
comments_only,
both
severity_threshold
enum<string>
Available options:
critical,
high,
medium,
low,
info,
all
streaming_enabled
boolean
suggested_changes_enabled
boolean
tone
enum<string>
Available options:
chill,
balanced,
assertive,
roast
verbosity
enum<string>
Available options:
brief,
normal,
detailed
visibility
string

Repository visibility (public, private, or internal)